Bug 53477 - Make zlib not dependent on malloc
Make zlib not dependent on malloc
Product: eCos
Classification: Retired
Component: RedBoot (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: ecc-bugs-int
Depends On:
  Show dependency treegraph
Reported: 2001-09-10 02:12 EDT by George Thomas
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-10 02:12:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description George Thomas 2001-09-10 02:12:53 EDT
Description of Problem:
Currently, the zlib package requires malloc for general purpose memory.
This makes it very hard to keep RedBoot's fixed memory requirements
fixed and small.  The impact is that in order to keep the ability to
load user programs at a known, fixed address, is often difficult since
RedBoot's own memory requirements creep into that space.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:

Actual Results:

Expected Results:

Additional Information:
If we could make zlib work with a provided set of memory, then RedBoot
could allocate this from the end of memory, as it does for FLASH workspace.
Of course, the zlib package should also be configurable so that it works
as it currently does for "normal" programs.
Comment 1 George Thomas 2001-10-15 06:05:23 EDT
The dependency is now conditional.  Applications can define their
own memory allocators by defining the CDL interface

This process is now used by RedBoot so it can have it's own specialized
memory allocators.

Note You need to log in before you can comment on or make changes to this bug.